use std::env;
use std::fs;
use std::path::Path;

fn main() {    
    let args: Vec<_> = env::args().collect();
    if args.len() >= 3 {
        let input = ::std::env::args().nth(1).unwrap();
        //
        // Does it exist?
        //
        let b = Path::new(&input).exists();
        if b == false {
            println!("The {} path does not exist!", input);
            return
        }

        let output = ::std::env::args().nth(2).unwrap();
        //
        // This should not exist
        //
        let c = Path::new(&output).exists();
        if c == true {
            println!("The {} path already exists!", output);
            return
        }

		match fs::copy(input, output) {
	        Ok(n) => println!("Wrote {} bytes", n),
	        Err(err) => println!("Error: {}", err),
	    };
    } else {
        println!("Not enough command line arguments.");
    }
}
