use std::env;
use std::fs::DirBuilder;
use std::path::Path;

fn main() {
    let args: Vec<_> = env::args().collect();
    if args.len() != 2 {
        println!("Need one argument.");
        std::process::exit(-1);
    }

    let argument = env::args().nth(1).unwrap();
    let b = Path::new(&argument).exists();
    if b == true {
        println!("The {} path already exists!", argument);
        return;
    }
    
    DirBuilder::new()
    .recursive(true)
    .create(&argument)
    .unwrap();
}
