use std::fs;
use std::env;
use std::fs::metadata;

fn main() -> std::io::Result<()> {
    let args: Vec<_> = env::args().collect();
    // Read filepath to delete
    if args.len() != 2 {
        println!("Need one argument.");
        std::process::exit(-1);
    }
    let input = ::std::env::args().nth(1).unwrap();

    // Is this a regular file?
    let md = metadata(&input).unwrap();
    if md.is_file() != true {
        println!("{} is not a regular file.", input);
        std::process::exit(-1);
    }

    fs::remove_file(input)?;
    Ok(())
}
