use std::env;
use std::path::Path;
use std::fs;

fn main() {
    let args: Vec<_> = env::args().collect();
    if args.len() != 2 {
        println!("Need one argument.");
        std::process::exit(-1);
    }

    let argument = ::std::env::args().nth(1).unwrap();
    let b = Path::new(&argument).exists();
    if b == false {
        println!("The {} path does not exist!", argument);
        return;
    }

    let file_metadata = fs::metadata(&argument).expect("Unable to get file metadata");
    println!("Is file: {}", file_metadata.is_file());
    println!("Is dir: {}", file_metadata.is_dir());
    println!("Is Symlink: {}", file_metadata.file_type().is_symlink() );

    println!("Len: {}", file_metadata.len());
    println!("Last accessed: {:?}", file_metadata.accessed());
    println!("Last modified: {:?}", file_metadata.modified());
    println!("Created: {:?}", file_metadata.created());
}
