use walkdir::WalkDir;
use std::env;
use std::path::Path;
use std::fs::metadata;

fn main() {
    for argument in env::args().skip(1) {
        let b = Path::new(&argument).exists();
        if b == true {
            let md = metadata(&argument).unwrap();
            // Make sure that it is a directory
            if md.is_dir() == false {
                println!("Skipping {} as it is not a directory.", argument);
                continue;
            }

	        for entry in WalkDir::new(argument)
                .into_iter()
                .filter_map(Result::ok)
                .filter(|e| !e.file_type().is_dir()) {
                    let f_name = String::from(entry.file_name().to_string_lossy());
	                if f_name.ends_with(".rs") {
		            println!("{}", entry.path().display());
	            } 
            }
        }
    }
}
