use std::env;
use std::os::unix::fs::PermissionsExt;
use std::fs;
use std::path::Path;

fn main() -> std::io::Result<()> {	
    let args: Vec<_> = env::args().collect();
	if args.len() < 2 {
 		panic!("Usage: {} file", args[0]);
 	}

	let input = std::env::args().nth(1).unwrap();

    // Continue if file exists
    let b = Path::new(&input).exists();
    if b == false {
        println!("The {} path does not exist!", input);
        std::process::exit(-1);
    }

    let metadata = fs::metadata(input)?;
    let perm = metadata.permissions();
    println!("{:o}", perm.mode());
    Ok(())
}
