use std::env;
use std::fs;
use std::path::Path;
use std::os::unix::fs::MetadataExt;

fn main() -> std::io::Result<()> {
    let path_val = env::var("PATH");
    if path_val.is_ok() == false {
        println!("PATH env var is not defined!");
	    std::process::exit(1)
    }
    let mut ret_value = 0;

    let my_path = path_val.unwrap();
    for argument in env::args().skip(1) {
       let split_path = my_path.split(":");
       let mut found = 0;

       for v in split_path {
            let path = format!("{}/{}", v, argument);
            let b = Path::new(&path).exists();
            if b == false {
                continue;
            }

            let md = fs::metadata(&path).unwrap();
            if md.is_file() == false {
                continue;
            } 

            let mode = fs::metadata(&path).unwrap().mode();
            if mode & 0o111 != 0 {
                println!("{}", path);
                found = 1;
                break
            }
        }

        if found == 0 {
            println!("{} not found", argument);
            ret_value = 1;
        }
    }
    std::process::exit(ret_value)
}
